Lavalite package that provides  management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `s/`.

    "s/": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    S\\Providers\ServiceProvider::class,

And also add it to alias

    ''  => S\\Facades\::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=S\\\\Seeders\\TableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin//{modulename}

**User**

    http://path-to-route-folder/user//{modulename}

**Public**

    http://path-to-route-folder/s_s


### API endpoints

**List**

    http://path-to-route-folder/api/user//{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user//{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user//{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user//{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api//{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api//{modulename}/{slug}
    METHOD: GET